POST /api/synthetics/monitors/_bulk_delete

Spaces method and path for this operation:

post /s/{space_id}/api/synthetics/monitors/_bulk_delete

Refer to Spaces for more information.

Delete multiple monitors by sending a list of config IDs.

[Required authorization] Route required privileges: uptime-read AND uptime-write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • ids array[string] Required

    An array of monitor IDs to delete.

    At least 1 but not more than 10000 elements. Minimum length of each is 1, maximum length of each is 1024.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • deleted boolean

      If true, the object was deleted. If false, it was not deleted.

    • id string

      The unique identifier of the deleted object.

POST /api/synthetics/monitors/_bulk_delete
curl \
  -X POST "${KIBANA_URL}/api/synthetics/monitors/_bulk_delete" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{"ids":["monitor1-id","monitor2-id"]}'
POST kbn://api/synthetics/monitors/_bulk_delete
{"ids":["monitor1-id","monitor2-id"]}
Request example
Run `POST /api/synthetics/monitors/_bulk_delete` to delete a list of monitors.
{
  "ids": [
    "monitor1-id",
    "monitor2-id"
  ]
}
Response examples (200)
A response from successfully deleting multiple monitors.
[
  {
    "deleted": true,
    "id": "monitor1-id"
  },
  {
    "deleted": true,
    "id": "monitor2-id"
  }
]